$AdfDhtmlShowDetailPeer$$.$_SUB_ID_MAP$ = {disclosure_icon:"_afrDscl"};
$AdfDhtmlShowDetailPeer$$.prototype.$GetSubIdDomElement$ = function $$AdfDhtmlShowDetailPeer$$$$$GetSubIdDomElement$$($domElement$$602_subElementId$$52$$) {
  $AdfAssert$$.$assertNonEmptyString$($domElement$$602_subElementId$$52$$);
  var $component$$1854$$ = this.$getComponent$();
  return"text" == $domElement$$602_subElementId$$52$$ ? ($domElement$$602_subElementId$$52$$ = this.$getDomElement$(), $AdfDomUtils$$.$getDescendentElement$($domElement$$602_subElementId$$52$$, "TD", 1)) : $AdfSubIdUtils$$.$getSubIdDomElementByMappedSubId$($domElement$$602_subElementId$$52$$, $AdfDhtmlShowDetailPeer$$.$_SUB_ID_MAP$, $component$$1854$$)
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlShowDetailPeer.prototype.GetSubIdDomElement", {$GetSubIdDomElement$:$AdfDhtmlShowDetailPeer$$.prototype.$GetSubIdDomElement$});
$AdfDhtmlShowDetailPeer$$.prototype.$GetBestMatchSubId$ = function $$AdfDhtmlShowDetailPeer$$$$$GetBestMatchSubId$$($childElement$$36$$) {
  var $rootElement$$153_td$$15$$ = this.$getDomElement$();
  return($rootElement$$153_td$$15$$ = $AdfDomUtils$$.$getDescendentElement$($rootElement$$153_td$$15$$, "TD", 1)) && $rootElement$$153_td$$15$$ === $childElement$$36$$ ? "text" : $AdfSubIdUtils$$.$getBestMatchSubId$($childElement$$36$$, this, $AdfDhtmlShowDetailPeer$$.$_SUB_ID_MAP$)
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlShowDetailPeer.prototype.GetBestMatchSubId", {$GetBestMatchSubId$:$AdfDhtmlShowDetailPeer$$.prototype.$GetBestMatchSubId$});
